CREATE TABLE egi_io_map_source (
    MAP_SOURCE_ID            NUMBER(18, 0) ,
    MAPPING_ID               NUMBER(18, 0)     NOT NULL,
    MAPPING_CODE             VARCHAR2(320) ,
    SOURCE_COLUMN            VARCHAR2(4000)    NOT NULL,
    SEQUENCE                 NUMBER(18, 0) ,
    IGNORE_FLAG              VARCHAR2(4)       NOT NULL,
    EXPRESSION_FLAG          VARCHAR2(4)       NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    MAP_SOURCE_ID            NUMBER(18, 0) ,
    MAPPING_ID               NUMBER(18, 0)     NOT NULL,
    SOURCE_COLUMN            VARCHAR2(4000)    NOT NULL,
    IGNORE_FLAG              VARCHAR2(4)       NOT NULL,
    EXPRESSION_FLAG          VARCHAR2(4)       NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    MAPPING_CODE             VARCHAR2(320) ,
    SEQUENCE                 NUMBER(18, 0) ,
    CONSTRAINT pk_egi_io_map_source PRIMARY KEY (MAP_SOURCE_ID, MAP_SOURCE_ID)
);
